List projects
curl --request GET \
--url https://hooksnode.com/api/v1/projects \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "2mJ8kQ4vXw9aB3cD5eF7gH1iK0L",
"name": "Payments",
"workspace_id": "2mJ8kP1aBcDeFgHiJkLmNoPqRsT",
"plan_code": "free",
"created_at": "2026-09-24T10:00:00Z",
"destinations": [
{
"id": 7,
"name": "API",
"url": "https://api.example.com/hooks",
"is_active": true,
"signing_enabled": true
}
]
}
]{
"error": "<string>"
}{
"error": "<string>"
}Projects
List projects
List the projects of the API key’s workspace, with their destinations.
The response holds no signing secrets and no destination extra headers. signing_enabled shows if a destination signs its requests.
GET
/
api
/
v1
/
projects
List projects
curl --request GET \
--url https://hooksnode.com/api/v1/projects \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "2mJ8kQ4vXw9aB3cD5eF7gH1iK0L",
"name": "Payments",
"workspace_id": "2mJ8kP1aBcDeFgHiJkLmNoPqRsT",
"plan_code": "free",
"created_at": "2026-09-24T10:00:00Z",
"destinations": [
{
"id": 7,
"name": "API",
"url": "https://api.example.com/hooks",
"is_active": true,
"signing_enabled": true
}
]
}
]{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
A workspace API key. You can also send it in the X-API-Key header.